Subject: RE: draft response #27 - port going out of service

From: [email-masked]
Date: Mon, 16 Aug 1999 00:12:36 +0300

> -----Original Message-----
> From: EXT Joachim Buerkle [mailto:[email-masked]]
> Sent: 14 August, 1999 6:27 PM
> To: [email-masked]; [email-masked]
> Subject: Re: draft of draft-ietf-gsmp-msf-response-00.txt
> 
> >>Requirement #27:      
> The SCI shall allow a virtual port to 
> be brought in to
> service or taken out of service.

> Q: Does somebody know what shall happen - in the view of the 
> MSF - if a virtual port
> is taken out of service? Is this just to filter out (through 
> away) the ATM cells for
> this virtual port, and the resources for the connections are 
> still reserved?

I can't speak for the MSF, but i expect that all connections using that
virtual port would be torn down.  In a static partitioning world, however,
any resources assigned to the Virtual Port would most likely remain assigned
to that port while resources that were assigned to the connections would
remain within the control of the partition.  I do not expect that resources
assigned to connections that were on that virtual port before it was taken
out of service would remain reserved for those connections as i expect, as i
said above, that all the state for those connections would be destroyed.

I think this matches current GSMP behavior for a port going in or out of
service.

Comments?

a.

-----------------------------------
avri doria
+1 617 678 94